Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Fwd: R npRmpi
From: Dirk Eddelbuettel (edd_at_[hidden])
Date: 2007-12-18 16:55:58


On 18 December 2007 at 16:08, Randy Heiland wrote:
| The pkg in question is here: http://www.stats.uwo.ca/faculty/yu/Rmpi/
|
| The question is: has anyone on this list got OpenMPI working for
| this pkg? Any suggestions?

Yes -- I happen to maintain GNU R, a number of R packages (eg r-cran-*) and
more for Debian and am also part of Debian's Open MPI maintainer group. I
also use Rmpi at work.

Dr Yu and I sorted out all relevant issues a few weeks ago and the most
current Rmpi (ie 0.5-5) works out of the box on Debian and Ubuntu, and is
current in Debian. It should "just work" on any other recent Linux and Unix
distro. If not please report back what configure reports and where it fails.

[ As an aside, we do have a current bug in Debian unstable with Open MPI as
we're trying to make transition between LAM, MPICH and Open MPI more
bullet-proof. If you use just Open MPI you should already be fine. ]

Greeting from Chicago, Dirk

|
| thanks, Randy
|
|
| Begin forwarded message:
|
| >
| > Subject: R npRmpi
| >
| > Been looking into the npRmpi problem
| >
| > I can get a segfault executing
| >> mpi.spawn.Rslaves()
| >
| > The documentation .html files under npRmpi contains the following:
| >
| > "mpi.spawn.Rslaves to spawn R slaves on selected hosts. This is
| > a LAM-MPI specific function."
| >
| >> lamhosts()
| > sh: lamnodes: command not found
| >
| > The documentation for nearly all mpi.xxx.xxx calls send you to
| > www.lam-mpi.org for more information.
| >
| > Looks for all the world this package depends on LAM-MPI which
| > is not installed on Quarry. I don't think pointing the build
| > at an OpenMPI install will help. The .c sources will compile
| > just fine but when R goes to use them it refers to LAM-MPI
| > dependent functions and behaves badly.
| >
|
| <html><body style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space; "><div>The pkg in question is here:  http://www.stats.uwo.ca/faculty/yu/Rmpi/</div><div><br class="webkit-block-placeholder"></div><div>The question is:  has anyone on this list got OpenMPI working for this pkg?  Any suggestions?</div><div><br class="webkit-block-placeholder"></div><div>thanks, Randy<br><div><span class="Apple-style-span" style="border-collapse: separate; border-spacing: 0px 0px; color: rgb(0, 0, 0); font-family: Helvetica; font-size: 12px; font-style: normal; font-variant: normal; font-weight: normal; letter-spacing: normal; line-height: normal; text-align: auto; -khtml-text-decorations-in-effect: none; text-indent: 0px; -apple-text-size-adjust: auto; text-transform: none; orphans: 2; white-space: normal; widows: 2; word-spacing: 0px; "><br class="Apple-interchange-newline"></span> </div><div><br><div>Begin forwarded message:</di
v><br class="Apple-interchange-newline"><blockquote type="cite"><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; "><font class="Apple-style-span" color="#000000"><b><br></b></font></div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; "><font face="Helvetica" size="3" color="#000000" style="font: 12.0px Helvetica; color: #000000"><b>Subject: </b></font><font face="Helvetica" size="3" style="font: 12.0px Helvetica"><b>R npRmpi</b></font></div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; min-height: 14px; "><br></div> <div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">Been looking into the npRmpi problem</div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; min-height: 14px; "><br></div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">I can get a segfault executing</div> <blockquote typ
e=
"cite"><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">mpi.spawn.Rslaves()</div> </blockquote><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; min-height: 14px; "><br></div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">The documentation .html files under npRmpi contains the following:</div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; min-height: 14px; "><br></div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">"mpi.spawn.Rslaves to spawn R slaves on selected hosts. This is</div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">a LAM-MPI specific function."</div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; min-height: 14px; "><br></div> <blockquote type="cite"><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-l
eft: 0px; ">lamhosts()</div> </blockquote><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">sh: lamnodes: command not found</div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; min-height: 14px; "><br></div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">The documentation for nearly all mpi.xxx.xxx calls send you to</div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">www.lam-mpi.org for more information.</div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; min-height: 14px; "><br></div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">Looks for all the world this package depends on LAM-MPI which</div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">is not installed on Quarry. I don't think pointing the build</div><div style="margin-top: 0px;
 m
argin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">at an OpenMPI install will help. The .c sources will compile</div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">just fine but when R goes to use them it refers to LAM-MPI</div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; ">dependent functions and behaves<span class="Apple-converted-space">  </span>badly.</div><div style="margin-top: 0px; margin-right: 0px; margin-bottom: 0px; margin-left: 0px; min-height: 14px; "><br></div> </blockquote></div><br></div></body></html>_______________________________________________
| users mailing list
| users_at_[hidden]
| http://www.open-mpi.org/mailman/listinfo.cgi/users

-- 
Three out of two people have difficulties with fractions.